[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#634821: libgcc1: filename change breaks old gcc

On 07/20/2011 11:54 AM, Andy Chittenden wrote:
>> By the way, Andy, could you give a quick reminder of what you are
>> using gcc 4.2 and 4.3 to do?  
> We have some old code that we need to maintain that won't compile with later versions of the compiler.

IMO the better approach would be multiarch-compat and multiarch-compat-dev
packages, built from a multiarch-compat source package (I do not want to
maintain these).

the multiarch-compat package would hold the symlinks for the shared libraries,
the multiarch-compat-dev package the *.o symlinks and the asm symlink from
eglibc (currently in gcc-multilib).

with more packages migrating to multiarch locations, you could extend these
packages, or build new binary packages from this source package.

But then, the breaks wouldn't be helpful.


Reply to: